Subject: Re: [PATCH, RFT] bcm43xx: Busting the 1G limit

From: Michael Buesch <[email-masked]>
Date: Mon, 19 Jun 2006 22:43:08 +0200

On Monday 19 June 2006 17:23, Daniel Gryniewicz wrote:
> On Sat, 2006-06-17 at 19:28 +0200, Michael Buesch wrote:
> > Hi,
> > 
> > This patch adds full 32-bit and 64-bit DMA support
> > to the bcm43xx driver. Well, it _should_ do this. I can
> > not test it, as I don't have a machine to trigger the 1G
> > limit.
> > The 1G limit should be exploitable on an AMD64 machine
> > with more than 1G RAM.
> > 
> > Please test and report, if it works or not. In the
> > case of "works not", please provide full dmesg log.
> > 
> > Note that I am not sure which cards actually support
> > full 32-bit or even 64-bit mode. Older cards might still
> > only support 30-bit DMA.
> 
> Hi.
> 
> I tried this on both 2.6.17-rc6 and on wireless-dev, and got pretty much
> the same panic on both (modulo locking).  My box is a turion with 2 GB
> of ram and a BCM4318.  Here's the panic from wireless-dev:
> 
> Unable to handle kernel NULL pointer dereference at 0000000000000020
> RIP:
> <ffffffff88104f24>{:bcm43xx:bcm43xx_dma_handle_xmitstatus+436}

I am still not absolutely sure where this oops comes from.
Could you remove at least 1G of your RAM and retry?

-- 
Greetings Michael.